org.apache.poi.ss.formula.functions

## Class Lookup

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Lookup

- All Implemented Interfaces:
    Function, Function2Arg, Function3Arg

      public final class Lookup
      extends java.lang.Object

  Implementation of Excel function LOOKUP.

  LOOKUP finds an index row in a lookup table by the first column value and returns the value from another column. Syntax:
  VLOOKUP(lookup_value, lookup_vector, result_vector)

  lookup_value The value to be found in the lookup vector.
  lookup_vector An area reference for the lookup data.
  result_vector Single row or single column area reference from which the result value is chosen.

  Author:
    Josh Micich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lookup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1)` see `Function.evaluate(ValueEval[], int, int)`
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2)` see `Function.evaluate(ValueEval[], int, int)`
    `ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lookup

          public Lookup()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0,
                                    ValueEval arg1)

      Description copied from interface: `Function2Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0,
                                    ValueEval arg1,
                                    ValueEval arg2)

      Description copied from interface: `Function3Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### evaluate

          public final ValueEval evaluate(ValueEval[] args,
                                          int srcRowIndex,
                                          int srcColumnIndex)

      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
        `srcRowIndex` - row index of the cell containing the formula under evaluation
        `srcColumnIndex` - column index of the cell containing the formula under evaluation
      Returns:
        The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.